From 60e53b3703bec2b577a7dbf105a3579132d15d51 Mon Sep 17 00:00:00 2001
From: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
Date: Tue, 31 Jul 2007 14:35:31 -0500
Subject: [PATCH] Update timer

Changed CFG_CLK to gd->bus_clk for CFG_TIMER_PRESCALER. Added DECLARE_GLOBAL_DATA_PTR for time.c

Signed-off-by: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
---
 include/asm-m68k/immap.h |    2 +-
 lib_m68k/time.c          |    2 ++
 2 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/include/asm-m68k/immap.h b/include/asm-m68k/immap.h
index 495459e..eecec10 100644
--- a/include/asm-m68k/immap.h
+++ b/include/asm-m68k/immap.h
@@ -41,7 +41,7 @@
 #define CFG_TMRINTR_NO		(INT0_HI_DTMR1)
 #define CFG_TMRINTR_MASK	(INTC_IPRH_INT33)
 #define CFG_TMRINTR_PRI		(6)
-#define CFG_TIMER_PRESCALER	(((CFG_CLK / 1000000) - 1) << 8)
+#define CFG_TIMER_PRESCALER	(((gd->bus_clk / 1000000) - 1) << 8)
 #endif
 
 #ifdef CONFIG_MCFPIT
diff --git a/lib_m68k/time.c b/lib_m68k/time.c
index 267a3cd..96d0bc0 100644
--- a/lib_m68k/time.c
+++ b/lib_m68k/time.c
@@ -53,6 +53,8 @@ static ulong timestamp;
 static unsigned short lastinc;
 #endif
 
+DECLARE_GLOBAL_DATA_PTR;
+
 #if defined(CONFIG_M5272)
 /*
  * We use timer 3 which is running with a period of 1 us
-- 
1.5.2

